Bug 572627

Summary: cobbler deletes /var/www/cobbler/pub/ required by cobbler-web "Build ISO" action
Product: [Fedora] Fedora Reporter: Robert Vogelgesang <vogel>
Component: cobblerAssignee: John Eckersberg <jeckersb>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: awood, dgoodwin, jeckersb, shenson, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 12:32:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Robert Vogelgesang 2010-03-11 12:52:14 EST
Description of problem:
Some unknown automatic process in cobbler or cobbler-web deletes /var/www/cobbler/pub/ after installation, and any subsequent "Build ISO" action of the web interface fails because the output of this should go in this directory. 

Version-Release number of selected component (if applicable):
cobbler-2.0.3.1-3.fc12.noarch
cobbler-web-2.0.3.1-3.fc12.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora-12 with cobbler and web interface, and configure cobbler until "cobbler check" is happy
2. click around in the web interface, observe that /var/www/cobbler/pub/ gets removed
3. click "Build ISO" in the web interface and observe failure
  
Actual results:
Action fails, /var/log/cobbler/task/*_buildiso.log contains:
Thu Mar 11 18:24:32 2010 - INFO | running: mkisofs -o /var/www/cobbler/pub/generated.iso -r -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -V Cobbler\ Install -R -J -T /buildiso
genisoimage: No such file or directory. Unable to open disc image file '/var/www/cobbler/pub/generated.iso'.


Expected results:
ISO image should be generated

Additional info:
See also bug #572490, reported by me today, where I mentioned the "missing" /var/www/cobbler/pub/, too.
Comment 1 Robert Vogelgesang 2010-03-12 06:00:46 EST
Additional info: Using the "cobbler buildiso" command as root works as expected, because this command per default puts the iso into root's home directory instead of "/var/www/cobbler/pub/".
Comment 2 Bug Zapper 2010-11-03 16:05:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 12:32:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.